var loopback = require('./');
var assert = require('assert');
var ID = 'custom-generated-id';

/** based on loopback.Change **/
var BuggyModel = loopback.createModel('BuggyModel', {
  id: {type: String, generated: true, id: true},
});

BuggyModel.setup = function() {
  BuggyModel.base.setup.call(this);
  BuggyModel.getter.id = function() { return ID; };
}
BuggyModel.setup();

/** test code simulating test/change.test.js **/
var memory = loopback.memory();
BuggyModel.attachTo(memory);

var ch = new BuggyModel({ id: ID });
ch.save(function(err, saved) {
  if (err) throw err;
  console.log('saved', saved);
  assert.equal(ID, saved.id);

  BuggyModel.findById(ID, function(err, found) {
    if (err) throw err;
    console.log('found', found);
    assert.equal(ID, found.id);
  });
});

